---
title: Finish Upload
description: Validates an uploaded asset and returns a minimal asset object. See upload and replace assets for further information.
url: https://storyblok.com/docs/api/management/assets/finish-upload
---

# Finish Upload

GET

```html
https://mapi.storyblok.com/v1/spaces/:space_id/assets/:asset_id/finish_upload
```

Validates an uploaded asset and returns a minimal asset object. See [upload and replace assets](/docs/api/management/assets/upload-and-replace-assets) for further information.

## Path parameters

-   `:space_id` (required) (number)
    
    Numeric ID of a space
    
-   `:asset_id` (string)
    
    Numeric id of an asset
    

## Response properties

-   `asset` (object)
    
    A minimal asset object.
    
    Show child properties
    
    -   `id` (number)
        
        The asset ID
        
    -   `filename` (string)
        
        The asset filename
        
    -   `alt` (string)
        
        The asset alt text
        
    -   `copyright` (string)
        
        Copyright text for the asset (default language)
        
    -   `title` (string)
        
        Title of the asset
        
    -   `focus` (string)
        
        The focus point of the image (Only for image assets)
        
    -   `is_private` (boolean)
        
        Defines if the asset should be inaccessible to the public
        
    

## Examples

-   cURL
    
    ```shellscript
    curl "https://mapi.storyblok.com/v1/spaces/288868932106293/assets/89062407031871/finish_upload" \
      -H "Authorization: YOUR_OAUTH_TOKEN"
    ```
    
-   JS
    
    ```javascript
    // storyblok-js-client@>=7, node@>=18
    import Storyblok from "storyblok-js-client";
    
    const storyblok = new Storyblok({
      oauthToken: "YOUR_PERSONAL_ACCESS_TOKEN",
    });
    
    try {
      const response = await storyblok.get('spaces/288868932106293/assets/89062407031871/finish_upload', {})
      console.log({ response })
    } catch (error) {
      console.log(error)
    }
    ```
    
-   PHP
    
    ```php
    $client = new \Storyblok\ManagementClient('YOUR_OAUTH_TOKEN');
    
    $client->get('spaces/288868932106293/assets/89062407031871/finish_upload')->getBody();
    ```
    
-   Java
    
    ```java
    HttpResponse<String> response = Unirest.get("https://mapi.storyblok.com/v1/spaces/288868932106293/assets/89062407031871/finish_upload")
      .header("Authorization", "YOUR_OAUTH_TOKEN")
      .asString();
    ```
    
-   C#
    
    ```csharp
    var client = new RestClient("https://mapi.storyblok.com/v1/spaces/288868932106293/assets/89062407031871/finish_upload");
    var request = new RestRequest(Method.GET);
    
    request.AddHeader("Authorization", "YOUR_OAUTH_TOKEN");
    IRestResponse response = client.Execute(request);
    ```
    
-   Python
    
    ```python
    import requests
    
    url = "https://mapi.storyblok.com/v1/spaces/288868932106293/assets/89062407031871/finish_upload"
    
    querystring = {}
    
    payload = ""
    headers = {
      'Authorization': "YOUR_OAUTH_TOKEN"
    }
    
    response = requests.request("GET", url, data=payload, headers=headers, params=querystring)
    
    print(response.text)
    ```
    
-   Ruby
    
    ```ruby
    require 'storyblok'
    client = Storyblok::Client.new(oauth_token: 'YOUR_OAUTH_TOKEN')
    
    client.get('spaces/288868932106293/assets/89062407031871/finish_upload')
    ```
    
-   Swift
    
    ```swift
    let storyblok = URLSession(storyblok: .mapi(accessToken: .oauth("YOUR_OAUTH_TOKEN")))
    let request = URLRequest(storyblok: storyblok, path: "spaces/288868932106293/assets/89062407031871/finish_upload")
    let (data, _) = try await storyblok.data(for: request)
    print(try JSONSerialization.jsonObject(with: data))
    ```
    
-   Kotlin
    
    ```kotlin
    val client = HttpClient {
        install(Storyblok(MAPI)) {
            accessToken = OAuth("YOUR_OAUTH_TOKEN")
        }
    }
    
    val response = client.get("spaces/288868932106293/assets/89062407031871/finish_upload")
    
    println(response.body<JsonElement>())
    ```

## Pagination

-   [Previous: Delete Multiple Assets](/docs/api/management/assets/delete-multiple-assets)
-   [Next: Get a Signed Response Object](/docs/api/management/assets/get-signed-response)
